#!HEAD: dcsm-CRCO_BUS_MONI_ON_ROMUPL_DIS 2023-09-26 01:29:10 221        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # **************************************************************************
8002    # 1. Cruise Standby  BAT CEL-V_MONI_ON
8003    # **************************************************************************
8004    # ==========================================================================
8005    # 1.1. MMO_ON/STATUS CHECK
8006    # ==========================================================================
8007    #
8008    # Start OBCP KJX04240 - KJX04242
8009    # (Set MMO Cruise Standby Mode from Cruise Dormant Mode) 
8010    #  
8011    # < Turn ON ٳǧ() >
8012    # MMOΩ夲OBCPǲ٤ǧƤ롣
8013    #                                           
8014    #      1)  CNV-A (-30 to +60)               
8015    #      2)  CNV-B (-30 to +60)               
8016    #      3)  PCD-A (-25 to +65)               
8017    #      4)  PCD-B (-25 to +65)               
8018    #      5)  DMC-A (-30 to +50)               
8019    #      6)  DMC-B (-30 to +50)               
8020    #      7)  LWD-A(XTRP)(-30 to +63)          
8021    #      8)  LWD-B(XTRP)(-30 to +63)          
8022    #
8023    # SSC (-30 to +50) ˤĤƤϡDMCMIS٥󥵤Ƕ˵
8024    #
8025    #  << HK 1S >>
8026    #
8027    DH.OPE_MODE_HK_1S # DH.MC_EACH_EXE 0x001A
8028    #
8029    WAIT_SEC 40                   
8030    #
8031    # < CHECK >
8032    CHECK DH.MC_EXE_NO                          0x001A                   
8033    CHECK DH.CATEGORY_TBL_NO                    0x00 0x00                   
8034    CHECK DH.DWNLNK_RATE                        =BPS16384                   
8035    CHECK DH.ATMC_FMT_ERR                       =OK                   
8036    CHECK DH.ATMC_SUM_STAT                      =OK                   
8037    CHECK DH.MC_FMT_ERR                         =OK                   
8038    CHECK DH.MC_SUM_STAT                        =OK                   
8039    CHECK DH.RQMC_FMT_ERR                       =OK                   
8040    CHECK DH.RQMC_SUM_STAT                      =OK                   
8041    CHECK DH.SYSTMR_FMT_ERR                     =OK                   
8042    CHECK DH.SYSTMR_SUM_STAT                    =OK                   
8043    CHECK DH.TL_FMT_ERR                         =OK                   
8044    CHECK DH.TL_SUM_STAT                        =OK                   
8045    CHECK DH.CATGRY_SUM_STAT                    =OK                   
8046    CHECK DH.TM1TBL_SUM_STAT                    =OK                   
8047    CHECK DH.TM2TBL_SUM_STAT                    =OK                   
8048    CHECK DH.ONOFKY_SUMERR                      =OK                   
8049    CHECK DH.CPU_CMD_RESET                      =NON                   
8050    CHECK DH.CPUA_ECC_2BE                       =NON                   
8051    CHECK DH.CPUA_SW_RST                        =NON                   
8052    CHECK DH.CPUA_WDT_OVF                       =NON                   
8053    CHECK DH.CPUB_ECC_2BE                       =NON                   
8054    CHECK DH.CPUB_SW_RST                        =NON                   
8055    CHECK DH.CPUB_WDT_OVF                       =NON                   
8056    CHECK DH.CPU_AB                             =CPU_A                   
8057    CHECK DH.HK_ACFS_VALID                      =ENA                   
8058    CHECK DH.HK_DHFS_VALID                      =ENA                   
8059    CHECK DH.HK_SPW_VALID                       =ENA                   
8060    CHECK DH.HK_TCFS_VALID                      =ENA                   
8061    CHECK DH.NML_IPL                            =NML                   
8062    CHECK DH.TCIU_ECC_2BE                       =NON                   
8063    CHECK DH.DR_SUM_STAT                        =OK                   
8064    CHECK DH.BLTTSTERR_EEP_A                    =OK                   
8065    CHECK DH.BLTTSTERR_EEP_B                    =OK                   
8066    CHECK DH.BLTTSTERR_ETC_A                    =OK                   
8067    CHECK DH.BLTTSTERR_ETC_B                    =OK                   
8068    CHECK DH.DR_1553DPRECC2BER                  =OK                   
8069    CHECK DH.DR_1553DPRECC2BEL                  =OK                   
8070    CHECK DH.CPUA_SO_EN_DS                      =ENA                   
8071    CHECK DH.CPUB_SO_EN_DS                      =ENA                   
8072    CHECK DH.CPUA_OFF_DET                       =NOT_DET                   
8073    CHECK DH.CPUA_RUN_NOTR                      =RUN                   
8074    CHECK DH.CPUA_ONOFF                         =ON                   
8075    CHECK DH.CPUB_OFF_DET                       =NOT_DET                   
8076    CHECK DH.CPUB_RUN_NOTR                      =RUN                   
8077    CHECK DH.CPUB_ONOFF                         =ON                   
8078    CHECK DH.SPW_UREQERR_MDP1                   =OK                   
8079    CHECK DH.SPW_UREQERR_MDP2                   =OK                   
8080    CHECK DH.SPW_UREQERR_PCD                    =OK                   
8081    CHECK PCD.APR1_ON_OFF                       =OFF                   
8082    CHECK PCD.APR2_ON_OFF                       =ON                   
8083    #
8084    # < CHECK >
8085    CHECK DH.ENA_TEMP                          -                   
8086    CHECK DH.TANK_TEMP                         -                   
8087    CHECK DH.ADM_TEMP                          -                   
8088    CHECK DH.APM_TEMP                          -                   
8089    CHECK DH.UP_PNL2_TEMP                      -                   
8090    CHECK DH.UP_PNL3_TEMP                      -                   
8091    CHECK DH.UP_PNL6_TEMP                      -                   
8092    CHECK DH.UP_PNL7_TEMP                      -                   
8093    CHECK DH.UP_PNL8_TEMP                      -                   
8094    CHECK DH.LO_PNL1_TEMP                      -                   
8095    CHECK DH.LO_PNL2_TEMP                      -                   
8096    CHECK DH.LO_PNL5_TEMP                      -                   
8097    CHECK DH.LO_PNL6_TEMP                      -                   
8098    CHECK DH.LO_PNL8_TEMP                      -                   
8099    CHECK DH.SSAS_TEMP                         -                   
8100    CHECK DH.THR_T1T2_TEMP                     -                   
8101    CHECK DH.SSC_TEMP1                         -                   
8102    CHECK DH.ACM1_TEMP                         -                   
8103    CHECK DH.THR_T3T4_TEMP                     -                   
8104    CHECK DH.ACM2_TEMP                         -                   
8105    CHECK DH.THR_A1_TEMP                       -                   
8106    CHECK DH.THR_A2_TEMP                       -                   
8107    CHECK DH.VLV_M_TEMP                        -                   
8108    CHECK DH.EPC_A_TEMP                        -                   
8109    CHECK DH.EPC_B_TEMP                        -                   
8110    CHECK DH.TWT_A_TEMP                        -                   
8111    CHECK DH.TWT_B_TEMP                        -                   
8112    CHECK DH.XTRP_A_TEMP                       -                   
8113    CHECK DH.XTRP_B_TEMP                       -                   
8114    CHECK DH.BAT_TEMP1                         -                   
8115    CHECK DH.BAT_TEMP2                         -                   
8116    CHECK DH.SSC_TEMP2                         -                   
8117    CHECK DH.SIDEP1_TEMP                       -                   
8118    CHECK DH.SIDEP2_TEMP                       -                   
8119    CHECK DH.SIDEP3_TEMP                       -                   
8120    CHECK DH.SIDEP4_TEMP                       -                   
8121    CHECK DH.UP_PNL1_TEMP                      -                   
8122    CHECK DH.UP_PNL5_TEMP                      -                   
8123    CHECK DH.MAST_MGF_TEMP                     -                   
8124    CHECK DH.LO_PNL3_TEMP                      -                   
8125    CHECK DH.LO_PNL7_TEMP                      -                   
8126    CHECK DH.SIDEP5_TEMP                       -                   
8127    CHECK DH.SIDEP6_TEMP                       -                   
8128    CHECK DH.SIDEP7_TEMP                       -                   
8129    CHECK DH.SIDEP8_TEMP                       -                   
8130    #
8131    #
8132    # < CHECK >
8133    CHECK DH.MC_ENA_DIS                         =ENA                   
8134    CHECK DH.ATMC_ENA_DIS                       =ENA                   
8135    CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8136    CHECK PCD.BUS_V                             48 52                   
8137    #
8138    # 
8139    # 
8140    DH.ATMC_EACH_ENA 0x2B # //PCD NICꥻåȥ˥
8141    # 
8142    WAIT_SEC 40                   
8143    #
8144    # 
8145    # ==========================================================================
8146    #  1.2. ơ֥뼫ưDIS
8147    # ==========================================================================
8148    #
8149    DH.TBL_ROMUPD_DIS 
8150    #
8151    WAIT_SEC 40                   
8152    #
8153    # ==========================================================================
8154    # 1.3. CEL-V_MONI_ON
8155    # ==========================================================================
8156    #
8157    PCD.BAT_OT_DIS
8158    WAIT_SEC 2                   
8159    PCD.BAT_OT_ON_SET 0xDD   # 20degC
8160    WAIT_SEC 2                   
8161    DH.BAT_SM_EXE
8162    WAIT_SEC 2                   
8163    PCD.BAT_OT_OFF_SET 0xE5  # 18degC
8164    WAIT_SEC 2                   
8165    DH.BAT_SM_EXE
8166    WAIT_SEC 2                   
8167    PCD.CEL_V_MONI_ON        
8168    #
8169    WAIT_SEC 40                   
8170    #
8171    # < CHECK >
8172    CHECK PCD.CEL1_V                            >3.705                   
8173    CHECK PCD.CEL2_V                            >3.705                   
8174    CHECK PCD.CEL3_V                            >3.705                   
8175    CHECK PCD.CEL4_V                            >3.705                   
8176    CHECK PCD.CEL5_V                            >3.705                   
8177    CHECK PCD.CEL6_V                            >3.705                   
8178    CHECK PCD.CEL7_V                            >3.705                   
8179    CHECK PCD.CEL8_V                            >3.705                   
8180    CHECK PCD.CEL9_V                            >3.705                   
8181    CHECK PCD.CEL10_V                           >3.705                   
8182    CHECK PCD.CEL11_V                           >3.705                   
8183    CHECK PCD.CEL12_V                           >3.705                   
8184    CHECK PCD.BAT_INT_EXT                       =EXT                   
8185    CHECK PCD.BUS_SW_ON_OFF                     =OFF                   
8186    CHECK PCD.BAT_OT_ENA_DIS                    =DIS                   
8187    CHECK PCD.CEL1_V                           -        # 3.745V @ NECP                   
8188    CHECK PCD.CEL2_V                           -        # 3.745V @ NECP                   
8189    CHECK PCD.CEL3_V                           -        # 3.744V @ NECP                   
8190    CHECK PCD.CEL4_V                           -        # 3.754V @ NECP                   
8191    CHECK PCD.CEL5_V                           -        # 3.747V @ NECP                   
8192    CHECK PCD.CEL6_V                           -        # 3.730V @ NECP                   
8193    CHECK PCD.CEL7_V                           -        # 3.749V @ NECP                   
8194    CHECK PCD.CEL8_V                           -        # 3.750V @ NECP                   
8195    CHECK PCD.CEL9_V                           -        # 3.739V @ NECP                   
8196    CHECK PCD.CEL10_V                          -        # 3.752V @ NECP                   
8197    CHECK PCD.CEL11_V                          -        # 3.752V @ NECP                   
8198    CHECK PCD.CEL12_V                          -        # 3.743V @ NECP                   
8199    CHECK PCD.CHG_I                            -                   
8200    CHECK PCD.DCHG_I                           -                   
8201    CHECK DH.BAT_TEMP1                         -                   
8202    CHECK DH.BAT_TEMP2                         -                   
8203    #
8204    WAIT_SEC 100                   
8205    #
8206    # < CHECK >
8207    CHECK PCD.OT_ON_SET                         19.5 20.5                   
8208    CHECK PCD.OT_OFF_SET                        17.5 18.5                   
8209    #
8210    #
8211    PCD.BAT_OT_ENA
8212    #
8213    WAIT_SEC 40                   
8214    #
8215    # < CHECK >
8216    CHECK PCD.BAT_OT_ENA_DIS                    =ENA                   
8217    CHECK PCD.BAT_OT_ON_OFF                     =OFF                   
8218    #
8219    WAIT_SEC 40                   
8220    #
8221    EXIT                   
