#!HEAD: dcsm-CRCO_MIA_CHECK_C_D 2023-04-13 04:25:44 151        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # ==========================================================================
8002    #  3.1. MIAΩ夲   Power ON.  <<< 2022/10/** **:** >>>
8003    # ==========================================================================
8004    # 
8005    PCD.ON_OFF_ENA
8006    WAIT_SEC 40                   
8007    #
8008    PCD.PSU_MIA_ON
8009    WAIT_SEC 40                   
8010    #
8011    PCD.ON_OFF_DIS
8012    WAIT_SEC 40                   
8013    #
8014    MD1F.MIA_CLCT_START
8015    WAIT_SEC 40                   
8016    #
8017    MD1F.DPU_SW_ERR_CLR
8018    WAIT_SEC 2                   
8019    MD2F.DPU_SW_ERR_CLR
8020    WAIT_SEC 40                   
8021    #
8022    # --------------------------------------------------------------------------
8023    #  3.1.1. MIA ֥å
8024    # --------------------------------------------------------------------------
8025    #
8026    WAIT_SEC 180                   
8027    #
8028    # AUTOMATIC HK MONITOR including ASIC LATCH UP
8029    # 
8030    #
8031    MD1U.MIA_SET_HK_MON 0x00 0x40
8032    WAIT_SEC 40                   
8033    # QL         Check-Item               Spec                       check
8034    # ----------+------------------------+-------------------------+------
8035    # MPPE-MIA2  HK_MONITOR ASIC SEL      ENA.                      N/A
8036    #
8037    #
8038    #
8039    #  ASIC LATCHUP THRESHOLD SET
8040    #
8041    #
8042    MIA.HK_SELECT 0x1700
8043    WAIT_SEC 40                   
8044    #
8045    # QL         Check-Item               Spec                       check
8046    # ----------+------------------------+-------------------------+------
8047    # MPPE-MIA2  HK_SELECT                0x17                       N/A
8048    # (SEL HK MIA_ASIC_I) 
8049    #            SELECTED_HK1             MIA_ASIC_I(**)             N/A
8050    #
8051    #
8052    MIA.HK_SELECT 0x1500
8053    WAIT_SEC 40                   
8054    #
8055    # QL         Check-Item               Spec                       check
8056    # ----------+------------------------+-------------------------+------
8057    # MPPE-MIA2  HK_SELECT                0x15                       N/A
8058    # (SEL HK MIA_SEL_THRESHOLD  MIA_SERIAL_ENA) 
8059    #            SELECTED_HK1             MIA_SEL_THRESHOLD(FF)   N/A
8060    # 
8061    MIA.SEL_THRESH_SET 0x3000
8062    WAIT_SEC 40                   
8063    #
8064    # QL         Check-Item               Spec                       check
8065    # ----------+------------------------+-------------------------+------
8066    # MPPE-MIA2  SEL                      NON                        N/A
8067    #                                     0x30                       N/A
8068    #            SELECTED_HK1             MIA_SEL_THRESHOLD(30)      N/A
8069    #
8070    #
8071    MIA.HK_SELECT 0x1700
8072    WAIT_SEC 40                   
8073    #
8074    # QL         Check-Item               Spec                       check
8075    # ----------+------------------------+-------------------------+------
8076    # MPPE-MIA2  HK_SELECT                0x17                       N/A
8077    # (SEL HK MIA_ASIC_I) 
8078    #            SELECTED_HK1             MIA_ASIC_I(**)             N/A
8079    #
8080    #
8081    #
8082    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8083    #  
8084    # 3.2 MIA
8085    #  
8086    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8087    #
8088    # --------------------------------------------------------------------------
8089    #  3.2.1. MIA ǽå DATA MODE  
8090    # --------------------------------------------------------------------------
8091    #
8092    # <CAL ON 1.953kHz CAL MODE 0B05> 
8093    # 
8094    MIA.CAL_ON
8095    WAIT_SEC 40                   
8096    # 
8097    # QL         Check-Item               Spec                       check
8098    # ----------+------------------------+-------------------------+------
8099    # MPPE-MIA2  CAL                      ON                         N/A
8100    #                                     
8101    MIA.MODE_SET 0x0000
8102    WAIT_SEC 300                   
8103    # 
8104    # QL         Check-Item               Spec                       check
8105    # ----------+------------------------+-------------------------+------
8106    # MPPE-MIA2  MODE                     0                          N/A
8107    # 
8108    # WAIT for CAL CH to move from CH0 to CH63
8109    #
8110    MIA.MODE_SET 0x0100
8111    WAIT_SEC 300                   
8112    # 
8113    # QL         Check-Item               Spec                       check
8114    # ----------+------------------------+-------------------------+------
8115    # MPPE-MIA2  MODE                     1                          N/A
8116    # 
8117    # WAIT for CAL CH to move from CH0 to CH63
8118    # 
8119    MIA.MODE_SET 0x0200
8120    WAIT_SEC 300                   
8121    # 
8122    # QL         Check-Item               Spec                       check
8123    # ----------+------------------------+-------------------------+------
8124    # MPPE-MIA2  MODE                     2                          N/A
8125    # 
8126    # WAIT for CAL CH to move from CH0 to CH63
8127    # 
8128    # 
8129    # ==========================================================================
8130    #  3.3 ⰵSHUTDOWN  <<< 2022/10/** **:** >>>
8131    # ==========================================================================
8132    #
8133    MIA.SHUTDOWN 0x0000
8134    WAIT_SEC 60                   
8135    # ==========================================================================
8136    #  3.4. MIAΩ <<< 2022/**/** **:** ʹ>>>
8137    # ==========================================================================
8138    #
8139    MD1F.MIA_CLCT_STOP
8140    WAIT_SEC 40                   
8141    #
8142    PCD.ON_OFF_ENA
8143    WAIT_SEC 40                   
8144    # 
8145    PCD.PSU_MIA_OFF
8146    WAIT_SEC 40                   
8147    # 
8148    PCD.ON_OFF_DIS
8149    WAIT_SEC 40                   
8150    # 
8151    EXIT                   
