#!HEAD: dcsm-CRCO_MDP_OFF 2021-05-06 02:12:39 97         45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 16.MDP POWEROFF
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # ==========================================================================
8007    #  16.1. MDPΩ
8008    # ==========================================================================
8009    #
8010    #
8011    #   <<< MDP-DPU RST/OFF >>>
8012    DH.MDP_DPU12_CPU_OFF # DH.MC_EACH_EXE 0x0B1
8013    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
8014    #:              0x00 DH.ATMC_EACH_DIS 0x32
8015    #:              0x03 DH.ATMC_EACH_DIS 0x33
8016    #:              0x06 DH.ATMC_EACH_DIS 0x30
8017    #:              0x09 DH.ATMC_EACH_DIS 0x31
8018    #:              0x0A MD1F.CPU_RESET_ENA
8019    #:              0x0B MD1F.CPU_RESET
8020    #:              0x0C MD1F.CPU_OFF
8021    #:              0x0D MD2F.CPU_RESET_ENA
8022    #:              0x0E MD2F.CPU_RESET
8023    #:              0x0F MD2F.CPU_OFF
8024    WAIT_SEC 40                   
8025    #
8026    # <CHECK>
8027    CHECK DH.ATMC_ENA_DIS30         =DIS                   
8028    CHECK DH.ATMC_ENA_DIS31         =DIS                   
8029    CHECK DH.ATMC_ENA_DIS32         =DIS                   
8030    CHECK DH.ATMC_ENA_DIS33         =DIS                   
8031    #
8032    # QL        Check-Item          Spec                        Check
8033    #----------+-------------------+---------------------------+---------
8034    # MD1F_OBS  << DPU1 H/W-HK >>
8035    #           HW_STATE2           CPU_RST_ENA (short)
8036    #           HWCMD_CODE          0x0801      (short)
8037    #           HW_STATE2           STANDBY     (short)
8038    #           HWCMD_CODE          0x0702      (short)
8039    #
8040    # <CHECK>
8041    CHECK MD1F.DPU_HW_STATE2        =CPUOFF_DPUBUS                   
8042    CHECK MD1F.DPU_CMD_CODE         0x0202                   
8043    #
8044    # QL        Check-Item          Spec                        Check
8045    #----------+-------------------+---------------------------+---------
8046    # MD2F_OBS  << DPU2 H/W-HK >>
8047    #           HW_STATE2           CPU_RST_ENA (short)
8048    #           HWCMD_CODE          0x0801      (short)
8049    #           HW_STATE2           STANDBY     (short)
8050    #           HWCMD_CODE          0x0702      (short)
8051    #
8052    # <CHECK>
8053    CHECK MD1F.DPU_HW_STATE2        =CPUOFF_DPUBUS                   
8054    CHECK MD1F.DPU_CMD_CODE         0x0202                   
8055    #
8056    DH.MC_EACH_EXE 0x002C  # 1553B TLM mode 0 (SYS HK 1)
8057    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
8058    #:              0x00 DH.DMP_PERIOD 0x04
8059    #:              0x01 DH.DR_PTLOGCYC_SET 0x00
8060    #:              0x04 ACS.ACS_PKT_FMT_1
8061    #:              0x05 DH.OPE_MODE 0x0C 0x0A 0x00 0x00 0x00000000000000000000000000
8062    #:              0x06 DH.TLMFMT1553B_CHG 0x00
8063    WAIT_SEC 40                   
8064    #
8065    # <<< MDP-DPU1/2 Power OFF >>>
8066    DH.MDP_DPU12_OFF # DH.MC_EACH_EXE 0x00B0
8067    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMY Ͼά)
8068    #:              0x00 DH.ATMC_EACH_DIS 0x34
8069    #:              0x01 DH.SPW_RTEFDIR_SET 0x18
8070    #:              0x03 DH.ATMC_EACH_DIS 0x36
8071    #:              0x06 DH.ATMC_EACH_DIS 0x32
8072    #:              0x09 DH.ATMC_EACH_DIS 0x33
8073    #:              0x0A PCD.ON_OFF_ENA
8074    #:              0x0B PCD.PSU_MDP1_OFF
8075    #:              0x0C DH.ATMC_EACH_DIS 0x30
8076    #:              0x0D PCD.PSU_MDP2_OFF
8077    #:              0x0E PCD.ON_OFF_DIS
8078    #:              0x0F DH.ATMC_EACH_DIS 0x31
8079    WAIT_SEC 40                   
8080    #
8081    # <CHECK>
8082    # CHECK DH.ATMC_ENA_DIS30                     =DIS
8083    # CHECK DH.ATMC_ENA_DIS31                     =DIS
8084    # CHECK DH.ATMC_ENA_DIS32                     =DIS
8085    # CHECK DH.ATMC_ENA_DIS33                     =DIS
8086    # CHECK DH.ATMC_ENA_DIS34                     =DIS
8087    # CHECK DH.ATMC_ENA_DIS36                     =DIS
8088    CHECK DH.SPW_FDIR_ENA_MDP1                  =DIS                   
8089    CHECK DH.SPW_FDIR_ENA_MDP2                  =DIS                   
8090    CHECK DH.SPW_FDIR_ENA_PCD                   =ENA                   
8091    CHECK DH.SPW_FDIR_ENA_RMTRTR                =ENA                   
8092    #
8093    CHECK PCD.PSU_MDP1_ON_OFF                   =OFF                   
8094    CHECK PCD.PSU_MDP2_ON_OFF                   =OFF                   
8095    CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8096    # 
8097    EXIT                   
