#!HEAD: dcsm-CRCO_MEA_CHECK 2021-05-06 02:13:07 437        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 11.MEA
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # **************************************************************************
8007    #  11. MEA1 Health Check
8008    # **************************************************************************
8009    # ==========================================================================
8010    #  11.1. MEA1 function check
8011    # ==========================================================================
8012    # --------------------------------------------------------------------------
8013    #  11.1.1. MEA1 Startup
8014    # --------------------------------------------------------------------------
8015    #
8016    PCD.ON_OFF_ENA
8017    WAIT_SEC 40                   
8018    #
8019    # < CHECK >
8020    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8021    #
8022    PCD.PSU_MEA1_ON
8023    WAIT_SEC 40                   
8024    #
8025    #
8026    # < CHECK >
8027    #CHECK PCD.PSU_MEA1_ON_OFF                   =ON                   
8028    #
8029    PCD.ON_OFF_DIS
8030    WAIT_SEC 40                   
8031    #
8032    # < CHECK >
8033    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8034    #CHECK MD1F.MS1_LINK_STAT                    =ON                   
8035    #
8036    #
8037    MD1F.MEA1_CLCT_START
8038    WAIT_SEC 40                   
8039    #
8040    # < CHECK >
8041    #CHECK MD1F.MS1_DAT_CLCT                     =ON                   
8042    #
8043    # # SW Error clear
8044    MD1F.DPU_SW_ERR_CLR
8045    WAIT_SEC 40                   
8046    #
8047    # < CHECK >
8048    #CHECK MD1F.MS1_LINK_ERR                     =na                   
8049    #CHECK MD1F.SLOT_ERR                         =na                   
8050    #
8051    #
8052    #
8053    WAIT_SEC 300                   
8054    #
8055    #
8056    # # MEA1ƥȥɽγǧ(LINKΩ8ðʾв˼»)
8057    #   Confirmation of the MEA1 telemetry indication
8058    #   (More than 8 minutes after from LINK establishment)
8059    #
8060    # < CHECK >
8061    #CHECK MEA1.HK_I_P5V                         <110  # mA                   
8062    #CHECK MEA1.HK_I_P12V                        <17   # mA                   
8063    #CHECK MEA1.HK_MCP                           0     # V                   
8064    #CHECK MEA1.I_MCP                            0     # uA                   
8065    #CHECK MEA1.HK_TMP_FPG                       <30   # deg.                   
8066    #CHECK MEA1.HK_TMP_MCP                       <30   # deg.                   
8067    #CHECK MEA1.Status_reg                       0x80  # (initial value)                   
8068    #CHECK MEA1.l1_cmd_exe                       =0xFFFF                   
8069    #CHECK MEA1.l2_cmd_exe                       =0xFFFF                   
8070    #
8071    # --------------------------------------------------------------------------
8072    #  11.1.11. SWITCH ON SCAN
8073    # --------------------------------------------------------------------------
8074    #
8075    # Start the scan and verify if the instrument is synchronized or not ?      
8076    #      
8077    MD1U.MEA1_ROM_READ
8078    WAIT_SEC 40                   
8079    #      
8080    MEA1.Scan_ON          
8081    WAIT_SEC 40                   
8082    #      
8083    # <CHECK>       
8084    #CHECK MEA1.l1_cmd_exe                        =0x2500                   
8085    #      
8086    # Select the sun pulse synchronization      
8087    MEA1.Md_S_Auto      
8088    WAIT_SEC 40                   
8089    #      
8090    # <CHECK>     
8091    #CHECK MEA1.l1_cmd_exe                       =0x3100                   
8092    #      
8093    # Select energies mode : mode 32 energies/32 sweeps      
8094    # -> HV table n2, 3eV-3KeV (~300V maxi on the analyzer)"      
8095    #      
8096    MEA1.mode_ROM_3 0x02      
8097    WAIT_SEC 40                   
8098    #      
8099    # <CHECK>       
8100    #CHECK MEA1.l1_cmd_exe                       =0x0202                   
8101    #      
8102    #      
8103    WAIT_SEC 40                   
8104    #      
8105    MD1U.MEA1_SET_ETBL 0x00 0x02
8106    WAIT_SEC 40                   
8107    #
8108    # --------------------------------------------------------------------------
8109    #  11.1.4. TEST MODE ON
8110    # --------------------------------------------------------------------------
8111    #
8112    #      
8113    # Swtich ON the test mode for the Amplifier A111      
8114    #   to verify the good working of this      
8115    MEA1.Md_Tst_ON      
8116    WAIT_SEC 40                   
8117    #      
8118    # <CHECK>       
8119    #CHECK MEA1.l1_cmd_exe                       =0x3900                   
8120    #CHECK MEA1.Status_reg                       0x81  # (bit n0 = 1)                   
8121    #      
8122    #   - wait 15 min to verify the Science Data      
8123    #   Check the science Data and compare with the previous value      
8124    #      
8125    MEA1.mode_ROM_3 0x01   
8126    WAIT_SEC 40                   
8127    CHECK MEA1.l1_cmd_exe                       =0x0201                   
8128    #
8129    MD1U.MEA1_SET_ETBL 0x00 0x01
8130    WAIT_SEC 40                   
8131    #
8132    MEA1.mode_ROM_3 0x03   
8133    WAIT_SEC 40                   
8134    CHECK MEA1.l1_cmd_exe                       =0x0203                   
8135    #
8136    MD1U.MEA1_SET_ETBL 0x00 0x03
8137    WAIT_SEC 40                   
8138    #
8139    MEA1.mode_ROM_2 0x02    
8140    WAIT_SEC 40                   
8141    CHECK MEA1.l1_cmd_exe                       =0x0102                   
8142    #
8143    MEA1.mode_ROM_1 0x02    
8144    WAIT_SEC 40                   
8145    CHECK MEA1.l1_cmd_exe                       =0x0002                   
8146    #
8147    MEA1.mode_ROM_4 0x02    
8148    WAIT_SEC 40                   
8149    CHECK MEA1.l1_cmd_exe                       =0x0302                   
8150    #
8151    MEA1.mode_ROM_5 0x02    
8152    WAIT_SEC 40                   
8153    CHECK MEA1.l1_cmd_exe                       =0x0402                   
8154    #
8155    # --------------------------------------------------------------------------
8156    #  11.1.5. TEST MODE OFF 
8157    # --------------------------------------------------------------------------
8158    #
8159    #      
8160    # Stop the A111 test Mode      
8161    MEA1.Md_Tst_OF      
8162    WAIT_SEC 600                   
8163    #      
8164    # <CHECK>       
8165    #CHECK MEA1.l1_cmd_exe                       =0x3800                   
8166    #CHECK MEA1.Status_reg                       0x80 # (bit n0 = 0)                   
8167    #      
8168    #   - wait 10 min to verify the Science Data are return to zero      
8169    #   Check the science Data and compare with the previous value      
8170    #
8171    # --------------------------------------------------------------------------
8172    #  11.1.6. SWITCH OFF the SCAN
8173    # --------------------------------------------------------------------------
8174    #
8175    #      
8176    # SWITCH OFF THE SCAN      
8177    MEA1.Scan_OF      
8178    WAIT_SEC 300                   
8179    #      
8180    # <CHECK>      
8181    #CHECK MEA1.l1_cmd_exe                       =0x2400                   
8182    #        
8183    #
8184    # ==========================================================================
8185    #  11.2. MEA1 SHUTDOWN
8186    # ==========================================================================
8187    #
8188    PCD.ON_OFF_ENA
8189    WAIT_SEC 40                   
8190    #
8191    # < CHECK >
8192    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8193    #
8194    MD1F.MEA1_CLCT_STOP
8195    WAIT_SEC 40                   
8196    #
8197    # < CHECK >
8198    #CHECK MD1F.MS1_DAT_CLCT                     =OFF                   
8199    #
8200    PCD.PSU_MEA1_OFF
8201    WAIT_SEC 40                   
8202    #
8203    # < CHECK >
8204    #CHECK PCD.PSU_MEA1_ON_OFF                   =OFF                   
8205    #CHECK MD1F.MS1_LINK_STAT                    =OFF                   
8206    #
8207    PCD.ON_OFF_DIS
8208    WAIT_SEC 40                   
8209    #
8210    # < CHECK >
8211    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8212    #
8213    # **************************************************************************
8214    #  11.2 MEA2CO
8215    # **************************************************************************
8216    # ==========================================================================
8217    #  11.2. MEA2 function check
8218    # ==========================================================================
8219    # --------------------------------------------------------------------------
8220    #  11.2.1. MEA2 Startup
8221    # --------------------------------------------------------------------------
8222    #
8223    PCD.ON_OFF_ENA
8224    WAIT_SEC 40                   
8225    #
8226    # < CHECK >
8227    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8228    #
8229    PCD.PSU_MEA2_ON
8230    WAIT_SEC 40                   
8231    #
8232    #
8233    # < CHECK >
8234    #CHECK PCD.PSU_MEA2_ON_OFF                   =ON                   
8235    #
8236    PCD.ON_OFF_DIS
8237    WAIT_SEC 40                   
8238    #
8239    # < CHECK >
8240    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8241    #CHECK MD1F.MS2_LINK_STAT                    =ON                   
8242    #
8243    #
8244    MD1F.MEA2_CLCT_START
8245    WAIT_SEC 40                   
8246    #
8247    # < CHECK >
8248    #CHECK MD1F.MS2_DAT_CLCT                     =ON                   
8249    #
8250    # # SW Error clear
8251    MD1F.DPU_SW_ERR_CLR
8252    WAIT_SEC 40                   
8253    #
8254    # < CHECK >
8255    #CHECK MD1F.MS2_LINK_ERR                     =na                   
8256    #CHECK MD1F.SLOT_ERR                         =na                   
8257    #
8258    #
8259    #
8260    WAIT_SEC 560                   
8261    #
8262    #
8263    # # MEA2ƥȥɽγǧ(LINKΩ8ʬʾв˼»)
8264    #   Confirmation of the MEA2 telemetry indication
8265    #   (More than 8 minutes after from LINK establishment)
8266    #
8267    # < CHECK >
8268    #CHECK MEA2.HK_I_P5V                         <110  # mA                   
8269    #CHECK MEA2.HK_I_P12V                        <17   # mA                   
8270    #CHECK MEA2.HK_MCP                           0     # V                   
8271    #CHECK MEA2.I_MCP                            0     # uA                   
8272    #CHECK MEA2.HK_TMP_FPG                       <30   # deg. (depend on the environment, maximum 85C)                   
8273    #CHECK MEA2.HK_TMP_MCP                       <30   # deg. (depend on the environment, maximum 80C)                   
8274    #CHECK MEA2.Status_reg                       0x80  # (initial value)                   
8275    #CHECK MEA2.l1_cmd_exe                       =0xFFFF                   
8276    #CHECK MEA2.l2_cmd_exe                       =0xFFFF                   
8277    #
8278    # --------------------------------------------------------------------------
8279    #  11.2.3. SWITCH ON SCAN
8280    # --------------------------------------------------------------------------
8281    #
8282    # Start the scan and verify if the instrument is synchronized or not ?      
8283    #
8284    MD1U.MEA2_ROM_READ
8285    WAIT_SEC 40                   
8286    #      
8287    MEA2.Scan_ON          
8288    WAIT_SEC 40                   
8289    #      
8290    # <CHECK>       
8291    #CHECK MEA2.l1_cmd_exe                       =0x2500                   
8292    #      
8293    # Select the sun pulse synchronization      
8294    MEA2.Md_S_Auto      
8295    WAIT_SEC 40                   
8296    #      
8297    # <CHECK>     
8298    #CHECK MEA2.l1_cmd_exe                       =0x3100                   
8299    #      
8300    # Select energies mode : mode 32 energies/32 sweeps      
8301    # -> HV table n2, 3eV-3KeV (~300V maxi on the analyzer)"      
8302    #      
8303    MEA2.mode_ROM_3 0x02      
8304    WAIT_SEC 40                   
8305    #      
8306    # <CHECK>       
8307    #CHECK MEA2.l1_cmd_exe                       =0x0202                   
8308    #      
8309    #      
8310    WAIT_SEC 40                   
8311    #      
8312    # <CHECK>       
8313    #  Check HKP TmSStp = HKP TmSStp_dft      
8314    #
8315    MD1U.MEA2_SET_ETBL 0x00 0x02
8316    WAIT_SEC 40                   
8317    #      
8318    ## ******************************************************************      
8319    # WAIT until (5 min maximum) HKP TmSStp = TmSStp_dft to indicate the synchronization       
8320    # between sun plus and MEA.      
8321    # If not, do not execute the next steps!!"      
8322    # Probably, sun pulse signal have a probem (cf previous test at ISAS)!!"      
8323    # If already executed, you can pass at the next step."      
8324    ## ******************************************************************      
8325    #      
8326    #
8327    # --------------------------------------------------------------------------
8328    #  11.2.4. TEST MODE ON
8329    # --------------------------------------------------------------------------
8330    #
8331    #      
8332    # Swtich ON the test mode for the Amplifier A111      
8333    #   to verify the good working of this      
8334    MEA2.Md_Tst_ON      
8335    WAIT_SEC 40                   
8336    #      
8337    # <CHECK>       
8338    #CHECK MEA2.l1_cmd_exe                       =0x3900                   
8339    #CHECK MEA2.Status_reg                       0x81 #  (bit n0 = 1)                   
8340    #      
8341    #   - wait 15 min to verify the Science Data      
8342    #   Check the science Data and compare with the previous value      
8343    #      
8344    MEA2.mode_ROM_3 0x01     
8345    WAIT_SEC 40                   
8346    CHECK MEA2.l1_cmd_exe                       =0x0201                   
8347    #
8348    MD1U.MEA2_SET_ETBL 0x00 0x01
8349    WAIT_SEC 40                   
8350    #
8351    MEA2.mode_ROM_3 0x03 
8352    WAIT_SEC 40                   
8353    CHECK MEA2.l1_cmd_exe                       =0x0203                   
8354    #
8355    MD1U.MEA2_SET_ETBL 0x00 0x03
8356    WAIT_SEC 40                   
8357    #
8358    MEA2.mode_ROM_3 0x02   
8359    WAIT_SEC 40                   
8360    CHECK MEA2.l1_cmd_exe                       =0x0202                   
8361    #
8362    MD1U.MEA2_SET_ETBL 0x00 0x02
8363    WAIT_SEC 40                   
8364    #
8365    MEA2.mode_ROM_1 0x02    
8366    WAIT_SEC 40                   
8367    CHECK MEA2.l1_cmd_exe                       =0x0002                   
8368    #
8369    MEA2.mode_ROM_4 0x02    
8370    WAIT_SEC 40                   
8371    CHECK MEA1.l1_cmd_exe                       =0x0302                   
8372    #
8373    MEA2.mode_ROM_5 0x02    
8374    WAIT_SEC 40                   
8375    CHECK MEA1.l1_cmd_exe                       =0x0402                   
8376    #
8377    # --------------------------------------------------------------------------
8378    #  11.2.5. TEST MODE OFF
8379    # --------------------------------------------------------------------------
8380    #
8381    #      
8382    # Stop the A111 test Mode      
8383    MEA2.Md_Tst_OF      
8384    WAIT_SEC 600                   
8385    #      
8386    # <CHECK>       
8387    #CHECK MEA2.l1_cmd_exe                       =0x3800                   
8388    #CHECK MEA2.Status_reg                       0x80  # (bit n0 = 0)                   
8389    #      
8390    #   - wait 10 min to verify the Science Data are return to zero      
8391    #   Check the science Data and compare with the previous value      
8392    #      
8393    # --------------------------------------------------------------------------
8394    #  11.2.6. SWITCH OFF the SCAN (5 minutes)  
8395    # --------------------------------------------------------------------------
8396    #
8397    #      
8398    # SWITCH OFF THE SCAN      
8399    MEA2.Scan_OF      
8400    WAIT_SEC 300                   
8401    #      
8402    # <CHECK>      
8403    #CHECK MEA2.l1_cmd_exe                       =0x2400                   
8404    #                
8405    #
8406    # ==========================================================================
8407    #  11.2.7 MEA2 SHUTDOWN
8408    # ==========================================================================
8409    #
8410    PCD.ON_OFF_ENA
8411    WAIT_SEC 40                   
8412    #
8413    # < CHECK >
8414    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8415    #
8416    MD1F.MEA2_CLCT_STOP
8417    WAIT_SEC 40                   
8418    #
8419    # < CHECK >
8420    #CHECK MD1F.MS2_DAT_CLCT                     =OFF                   
8421    #
8422    PCD.PSU_MEA2_OFF
8423    WAIT_SEC 40                   
8424    #
8425    # < CHECK >
8426    #CHECK PCD.PSU_MEA2_ON_OFF                   =OFF                   
8427    #CHECK MD1F.MS2_LINK_STAT                    =OFF                   
8428    #
8429    PCD.ON_OFF_DIS
8430    WAIT_SEC 40                   
8431    #
8432    # < CHECK >
8433    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8434    #
8435    #
8436    # ==========================================================================
8437    EXIT                   
