#!HEAD: dcsm-CRCO_MGF_CHECK 2021-05-14 07:40:07 685        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 6.MGF
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    #
8007    # 
8008    #
8009    # MMO MGF Cruise Health Check
8010    # Date  2019.05.15
8011    # Place ESOC/ISAS/ZOOM
8012    # ParticipantsTBD
8013    #
8014    # This plan is based on the NECP initial checkout sequence on 2018.11.09.
8015    # The changed lines are marked by "#20190515 CHC CHANGE". 
8016    #
8017    # 
8018    # ==========================================================================
8019    #  6.1. MGF commissioning by Timeline
8020    # ==========================================================================
8021    #
8022    # ʹߤμϼư󥹤ǿʤࡣ
8023    # The commands are semi-automatically executed
8024    #
8025    # M/H⡼ɥǡΤᡢƥ⡼ɤꤹ롣
8026    DH.OPE_MODE 0x0C 0x00 0x32 0x04 0x00000000000000000000000000
8027    #
8028    WAIT_SEC 30                   
8029    # --------------------------------------------------------------------------
8030    #  6.1.1. Power ON by MACRO
8031    # --------------------------------------------------------------------------
8032    #
8033    # <PME ON>
8034    #
8035    ######PCD.ON_OFF_ENA
8036    #
8037    ######WAITSEC 30                   
8038    #
8039    # QL            Check-Item                  Spec                  Check
8040    # -------------+---------------------------+---------------------+------
8041    # PCS1          PCD.ON_OFF_ENA_DIS          ENA                    N/A
8042    # 
8043    ######PCD.PSU_PME_ON
8044    #
8045    ######WAITSEC 30                   
8046    #
8047    # QL            Check-Item                  Spec                Check
8048    # -------------+---------------------------+---------------------+------
8049    # PCS1          PCD.PSU_PME_ON_OFF          ON                     N/A
8050    #
8051    ######PCD.ON_OFF_DIS
8052    #
8053    ######WAITSEC 30                   
8054    #
8055    # QL            Check-Item                  Spec                Check
8056    # -------------+---------------------------+---------------------+------
8057    # PCS1          PCD.ON_OFF_ENA_DIS          DIS                    N/A
8058    # 
8059    # 
8060    # < MGF ON >
8061    # 
8062    DH.MGF_ON                  #DH.MC_EACH_EXE 0x095
8063    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
8064    #:              0x00 MD1F.PME_MGFO_ON
8065    #:              0x01 PCD.ON_OFF_ENA
8066    #:              0x02 PCD.PSU_MGF_I_ON
8067    #:              0x03 PCD.ON_OFF_DIS
8068    #:              0x0D MD1F.DPU_SW_ERR_CLR
8069    #:              0x0E MD2F.DPU_SW_ERR_CLR
8070    #:              0x0F MD2U.MGFI_HW_CMD 0xF0E8EE70
8071    #
8072    WAIT_SEC 300              # 5 min data acquisition  #20190515 CHC CHANGE                   
8073    #  
8074    #  # CHECK HK QL AFTER POWER ON
8075    #    ŸONΡHKǧ
8076    #  
8077    # QL            Check-Item                  Spec                Check
8078    # -------------+---------------------------+---------------------+------
8079    # MGF-I         MGFI.CRC_ERR_CNTR                0                 N/A
8080    #               MGFI.RESET_CNTR                  0                 N/A
8081    #               MGFI.CMD_CNTR                , FFμ0       N/A
8082    #               MGFI.PHASE_VAL_X_A           -28.4 deg             N/A
8083    #               MGFI.PHASE_VAL_X_A              F0 hex             N/A
8084    #               MGFI.PHASE_VAL_Y_A           -43.6 deg             N/A
8085    #               MGFI.PHASE_VAL_Y_A              E8 hex             N/A
8086    #               MGFI.PHASE_VAL_Z_A           -32.2 deg             N/A
8087    #               MGFI.PHASE_VAL_Z_A              EE hex             N/A
8088    #               MGFI.SYNC_DLY_VAL_A          976.6 us              N/A
8089    #               MGFI.SYNC_DLY_VAL_A             70 hex             N/A
8090    # -------------+---------------------------+---------------------+------
8091    # MGF-I         MGFI.TLM_OUT_STAT_L            OUTPUT              N/A
8092    #               MGFI.TLM_OUT_RATE_L            SPIN                N/A
8093    #               MGFI.TLM_OUT_STAT_M            OUTPUT              N/A
8094    #               MGFI.TLM_OUT_RATE_M            F8HZ                N/A
8095    #               MGFI.TLM_OUT_STAT_H            STOP                N/A
8096    #               MGFI.TLM_OUT_RATE_H            CHECKOUT            N/A
8097    #
8098    # QL            Check-Item                  Spec                Check
8099    # -------------+---------------------------+---------------------+------
8100    # MGF-O         MGFO.PRAM_STAT                   0                 N/A
8101    #               MGFO.MDATRAM_STAT                0                 N/A
8102    #               MGFO.EXTSYNC_OFF                 0                 N/A
8103    #               MGFO.RELAY_ON_OFF                1                 N/A
8104    #               MGFO.OPEN_LOOP                   0                 N/A
8105    #               MGFO.EXCIT_ON                    1                 N/A
8106    #               MGFO.EEPROM_PAGE                 0                 N/A
8107    #               MGFO.BOOT_OP                     0                 N/A
8108    #               MGFO.BOOT_MAIN                   1                 N/A
8109    #               MGFO.CS_OK                       0                 N/A
8110    #               MGFO.RELAY1_STAT                 1                 N/A
8111    #               MGFO.SYNC_PRESENT                1                 N/A
8112    # -------------+---------------------------+---------------------+------
8113    # MGF-O         MGFO.LINK_DISCONNECT             0                 N/A
8114    #               MGFO.LINK_EERR                   0                 N/A
8115    #               MGFO.LINK_CERR                   0                 N/A
8116    #               MGFO.LINK_PERR                   0                 N/A
8117    #               MGFO.RMAP_ERR_FLAGS              0                 N/A
8118    # -------------+---------------------------+---------------------+------
8119    # MGF-O         MGFO.VALID_WCMDS                 0                 N/A
8120    #               MGFO.VALID_CMDS             incrementing           N/A
8121    #               MGFO.INVALID_CMDS                0                 N/A
8122    #               MGFO.VALID_REPLIES          incrementing           N/A
8123    #               MGFO.SYNC_OFFSET               0xA1FB              N/A
8124    # -------------+---------------------------+---------------------+------
8125    # MGF-O         MGFO.SOFTWARE_VER              0x0007              N/A
8126    #               MGFO.EEPROM_CHECKSUM           0x0000              N/A
8127    #               MGFO.CALC_CHECKSUM             0x0000              N/A
8128    # -------------+---------------------------+---------------------+------
8129    # MGF-O         MGFO.ELECTR_TEMP            >-30.0 < +70.0         N/A
8130    #               MGFO.OS_TEMP                >-65.0 <+180.0         N/A #20190515 CHC CHANGE
8131    #               MGFO.IS_TEMP                >-60.0 <+180.0         N/A
8132    #               MGFO.CURRENT_P12V           >+63.0 < +78.0         N/A #20190515 CHC CHANGE
8133    #               MGFO.CURRENT_M12V           >-40.0 < -29.0         N/A
8134    #               MGFO.CURRENT_3V3            >+32.0 < +39.0         N/A
8135    #               MGFO.CURRENT_1V5            >+55.0 < +77.0         N/A
8136    #               MGFO.VOLTAGE_PANA           > +7.3 <  +7.9         N/A
8137    #               MGFO.VOLTAGE_MANA           > -7.9 <  -7.5         N/A
8138    #               MGFO.VOLTAGE_P12V           >+11.3 < +12.5         N/A
8139    #               MGFO.VOLTAGE_M12V           >-12.5 < -11.3         N/A
8140    #               MGFO.VOLTAGE_3V3            > +3.1 <  +3.5         N/A
8141    #               MGFO.VOLTAGE_P5V            > +4.7 <  +5.3         N/A
8142    #               MGFO.VOLTAGE_M5V            > -5.3 <  -4.7         N/A
8143    #               MGFO.VOLTAGE_1V5            >+1.37 < +1.63         N/A
8144    #               MGFO.VOLTAGE_EXCIT          > +7.8 <  +8.4         N/A
8145    # -------------+---------------------------+---------------------+------
8146    # MGF-O         MGFO.DELTA_T_SAMPLE                                N/A
8147    # 
8148    # QL            Check-Item                  Spec                Check
8149    # -------------+---------------------------+---------------------+------
8150    # MGF-O         MGFO.TLM_OUT_STAT_L            OUTPUT              N/A
8151    #               MGFO.TLM_OUT_RATE_L            SPIN                N/A
8152    #               MGFO.TLM_OUT_STAT_M            OUTPUT              N/A
8153    #               MGFO.TLM_OUT_RATE_M            F8HZ                N/A
8154    #               MGFO.TLM_OUT_STAT_H            STOP                N/A
8155    #               MGFO.TLM_OUT_RATE_H            CHECKOUT            N/A
8156    # 
8157    # # Spacewire LINKΩγǧ(MDPMGF-I/MGF-O)
8158    #
8159    # QL            Check-Item                  Spec                Check
8160    # -------------+---------------------------+---------------------+------
8161    # MD1F OBS HK   MD1F.MS0_LINK_STAT          ON                     N/A
8162    # MD2F OBS HK   MD2F.MS5_LINK_STAT          ON                     N/A
8163    # MD1F OBS HK   MD1F.MS0_LINK_ERR           na                     N/A
8164    #               MD1F.SLOT_ERR               na                     N/A
8165    # MD2F OBS HK   MD2F.MS5_LINK_ERR           na                     N/A
8166    #               MD2F.SLOT_ERR               na                     N/A
8167    # 
8168    # 
8169    # --------------------------------------------------------------------------
8170    #  6.1.2. MGF-I Observation sequence (get mission data)
8171    # --------------------------------------------------------------------------
8172    # 
8173    #  <MGF-I START CHECKOUT MISSION>
8174    # 
8175    MD2U.MGFI_TLM_PARM 0x01010108010C
8176    #
8177    #
8178    #  
8179    # QL            Check-Item                  Spec                Check
8180    # -------------+---------------------------+---------------------+------
8181    # MGF-I         MGFI.TLM_OUT_STAT_H         OUTPUT                 N/A
8182    #               MGFI.TLM_OUT_RATE_H         CHECKOUT               N/A
8183    #
8184    #  <TLM DATA ACQUISITION>
8185    #
8186    WAIT_SEC 300               # 5 min data acquisition                   
8187    #
8188    #  <MGF-I M-MODE=4Hz>
8189    #
8190    MD2U.MGFI_TLM_PARM 0x01010104010C
8191    #
8192    #
8193    #  
8194    # QL            Check-Item                  Spec                Check
8195    # -------------+---------------------------+---------------------+------
8196    # MGF-I         MGFI.TLM_OUT_STAT_M         OUTPUT                 N/A
8197    #               MGFI.TLM_OUT_RATE_M         F4HZ                   N/A
8198    #
8199    WAIT_SEC 300               # 5 min data acquisition                   
8200    # 
8201    #  <MGF-O START CHECKOUT MISSION, M-MODE=4Hz>
8202    #
8203    MD1U.MGFO_TLM_PARM 0x01010104010C
8204    #
8205    #
8206    #  
8207    # QL            Check-Item                  Spec                Check
8208    # -------------+---------------------------+---------------------+------
8209    # MGF-O         MGFO.TLM_OUT_STAT_H         OUTPUT                 N/A
8210    #               MGFO.TLM_OUT_RATE_H         CHECKOUT               N/A
8211    #               MGFO.TLM_OUT_RATE_M         F4HZ                   N/A
8212    #
8213    WAIT_SEC 300               # 5 min data acquisition    #20190515 CHC CHANGE                   
8214    #
8215    #
8216    #  <MGF-O&I KEEP CHECKOUT MISSION, MGF-O/I M-MODE=8Hz>                    #add 20180906
8217    # 
8218    MD2U.MGFI_TLM_PARM 0x01010108010C
8219    WAIT_SEC 10                   
8220    MD1U.MGFO_TLM_PARM 0x01010108010C
8221    #
8222    # QL            Check-Item                  Spec                Check
8223    # -------------+---------------------------+---------------------+------
8224    # MGF-I         MGFI.TLM_OUT_STAT_H         OUTPUT                 N/A    #add 20180906
8225    #               MGFI.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8226    #               MGFI.TLM_OUT_RATE_M            F8HZ                N/A    #add 20180906
8227    # MGF-O         MGFO.TLM_OUT_STAT_H         OUTPUT                 N/A    #add 20180906
8228    #               MGFO.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8229    #               MGFO.TLM_OUT_RATE_M            F8HZ                N/A    #add 20180906
8230    #
8231    WAIT_SEC 300               # 5 min data acquisition           #add 20180906                   
8232    #
8233    #
8234    #  <MGF-I STOP CHECKOUT MISSION, MGF-O/I M-MODE STAY 8Hz>                 #add 20180906
8235    #
8236    MD2U.MGFI_TLM_PARM 0x01010108000C                                         #add 20180906
8237    # 
8238    # QL            Check-Item                  Spec                Check
8239    # -------------+---------------------------+---------------------+------
8240    # MGF-I         MGFI.TLM_OUT_STAT_H         STOP                   N/A    #add 20180906
8241    #               MGFI.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8242    #
8243    WAIT_SEC 300               # 5 min data acquisition                      #add 20180906                   
8244    #
8245    #
8246    #  <MGF-O KEEP CHECKOUT MISSION, MGF-O M-MODE=4Hz>                        #add 20180906
8247    # 
8248    MD1U.MGFO_TLM_PARM 0x01010104010C
8249    #
8250    # QL            Check-Item                  Spec                Check
8251    # -------------+---------------------------+---------------------+------
8252    # MGF-O         MGFO.TLM_OUT_STAT_H         OUTPUT                 N/A    #add 20180906
8253    #               MGFO.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8254    #               MGFO.TLM_OUT_RATE_M            F4HZ                N/A    #add 20180906
8255    #
8256    WAIT_SEC 300               # 5 min data acquisition                       #add 20180906                   
8257    #
8258    #
8259    #  <MGF-O STOP CHECKOUT MISSION, MGF-O/I M-MODE=4Hz>
8260    #
8261    MD2U.MGFI_TLM_PARM 0x01010104000C
8262    WAIT_SEC 10                   
8263    MD1U.MGFO_TLM_PARM 0x01010104000C
8264    #
8265    # QL            Check-Item                  Spec                Check
8266    # -------------+---------------------------+---------------------+------
8267    # MGF-I         MGFI.TLM_OUT_STAT_H         STOP                   N/A    #add 20180906
8268    #               MGFI.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8269    #               MGFI.TLM_OUT_RATE_M         F4HZ                   N/A    #add 20180906
8270    # MGF-O         MGFO.TLM_OUT_STAT_H         STOP                   N/A    #add 20180906
8271    #               MGFO.TLM_OUT_RATE_H         CHECKOUT               N/A    #add 20180906
8272    #               MGFO.TLM_OUT_RATE_M         F4HZ                   N/A    #add 20180906
8273    #
8274    WAIT_SEC 300               # 5 min data acquisition         #20190515 CHC CHANGE                   
8275    #
8276    #
8277    #  <MGF-O/I M-MODE=8Hz>
8278    # 
8279    MD2U.MGFI_TLM_PARM 0x01010108000C
8280    WAIT_SEC 10                   
8281    MD1U.MGFO_TLM_PARM 0x01010108000C
8282    # 
8283    # QL            Check-Item                  Spec                Check
8284    # -------------+---------------------------+---------------------+------
8285    # MGF-I         MGFI.TLM_OUT_STAT_H         STOP                   N/A
8286    #               MGFI.TLM_OUT_RATE_H         CHECKOUT               N/A
8287    #               MGFI.TLM_OUT_RATE_M            F8HZ                N/A
8288    # MGF-O         MGFO.TLM_OUT_STAT_H         STOP                   N/A
8289    #               MGFO.TLM_OUT_RATE_H         CHECKOUT               N/A
8290    #               MGFO.TLM_OUT_RATE_M            F8HZ                N/A
8291    #
8292    #
8293    # --------------------------------------------------------------------------
8294    #  6.1.3. MGF-O Observation sequence (get mission data)
8295    # --------------------------------------------------------------------------
8296    #
8297    #
8298    #  < Measurement of Closed Loop Noise>
8299    #
8300    WAIT_SEC 300               # 5 min data acquisition   #20190515 CHC CHANGE                   
8301    #  
8302    #
8303    #                                                          #delete 20180906
8304    # 
8305    #  < Measurement of Open Loop Noise (Feedback Relays open) >
8306    #  
8307    #  # CONFIG OL NOISE MEASUREMENT
8308    MGFO.MAG_CONFIG_REG 0x000005
8309    #  
8310    # MDP Macro - first Byte after 0x is Parameter Byte No.0(Command count)
8311    # MDP Multi CMD consists of the following MGFO CMDs 
8312    # +---------+---------------+----------+ 
8313    # | CMD No. |   CMD Name    | CMD data | 
8314    # +---------+---------------+----------+ 
8315    # |    0    |  MGFO.K2X     |  0x0000  | 
8316    # |    1    |  MGFO.K2Y     |  0x0000  | 
8317    # |    2    |  MGFO.K2Z     |  0x0000  | 
8318    # |    3    |  MGFO.DACFX   |  0x8000  | 
8319    # |    4    |  MGFO.DACFY   |  0x8000  | 
8320    # |    5    |  MGFO.DACFZ   |  0x8000  | 
8321    # +---------+---------------+----------+ 
8322    #  
8323    WAIT_SEC 30                   
8324    #  
8325    MD1U.MGFO_MULTI_CMD 0x060600000700000800000C80000D80000E800000
8326    #  
8327    WAIT_SEC 360                   #20190515 CHC CHANGE                   
8328    #  
8329    #  # CHECK HK QL | HKƥǧ
8330    #    (values of other check-items should be same)
8331    #  
8332    # QL            Check-Item                  Spec                Check
8333    # -------------+---------------------------+---------------------+------
8334    # MGF-O         MGFO.RELAY_ON_OFF               0                  N/A
8335    #               MGFO.OPEN_LOOP                  1                  N/A
8336    #               MGFO.RELAY1_STAT                0                  N/A
8337    # -------------+---------------------------+---------------------+------
8338    # MGF-O         MGFO.VALID_WCMDS                7                  N/A
8339    #               MGFO.VALID_CMDS             incrementing           N/A
8340    #               MGFO.VALID_REPLIES          incrementing           N/A
8341    #  
8342    #  
8343    # << Produce Field Jumps with DACs>>
8344    #  
8345    MGFO.MAG_CONFIG_REG 0x00000D
8346    #  
8347    WAIT_SEC 10                   
8348    #  
8349    # # JUMPS ON BX
8350    MGFO.DACFX 0x008640
8351    #  
8352    WAIT_SEC 10                   
8353    #  
8354    MGFO.DACCX 0x008280
8355    #  
8356    WAIT_SEC 10                   
8357    MGFO.DACFX 0x008000
8358    WAIT_SEC             10                   
8359    MGFO.DACCX 0x008000
8360    #  
8361    WAIT_SEC 10                   
8362    #  
8363    #  # JUMPS ON BY
8364    MGFO.DACFY 0x008640
8365    #  
8366    WAIT_SEC 10                   
8367    #  
8368    MGFO.DACCY 0x008280
8369    #  
8370    WAIT_SEC 10                   
8371    #  
8372    MGFO.DACFY 0x008000
8373    #  
8374    WAIT_SEC             10                   
8375    #  
8376    MGFO.DACCY 0x008000
8377    #  
8378    WAIT_SEC 10                   
8379    #  
8380    #  # JUMPS ON BZ
8381    MGFO.DACFZ 0x008640
8382    #  
8383    WAIT_SEC 10                   
8384    #  
8385    MGFO.DACCZ 0x008280
8386    #  
8387    WAIT_SEC 10                   
8388    #  
8389    MGFO.DACFZ 0x008000
8390    #  
8391    WAIT_SEC             10                   
8392    #  
8393    MGFO.DACCZ 0x008000
8394    #  
8395    WAIT_SEC 30                   
8396    #  
8397    #  # CHECK HK QL | HKƥǧ
8398    #    (values of other check-items should be same)
8399    #  
8400    # QL            Check-Item                  Spec                Check
8401    # -------------+---------------------------+---------------------+------
8402    # MGF-O         MGFO.RELAY_ON_OFF               1                  N/A
8403    #               MGFO.RELAY1_STAT                1                  N/A
8404    # -------------+---------------------------+---------------------+------
8405    #               MGFO.VALID_WCMDS                4                  N/A
8406    #               MGFO.VALID_CMDS             incrementing           N/A
8407    #               MGFO.VALID_REPLIES          incrementing           N/A
8408    #  
8409    #  << Add Offsets to field values>>
8410    #  
8411    #  # ADD OFFSET BX
8412    MGFO.OFFX 0x006666
8413    #  
8414    WAIT_SEC 10                   
8415    #  
8416    #  # ADD OFFSET BY
8417    MGFO.OFFY 0x006666
8418    #  
8419    WAIT_SEC 10                   
8420    #  
8421    #  # ADD OFFSET BZ
8422    MGFO.OFFZ 0x006666
8423    #  
8424    WAIT_SEC 30                   
8425    #
8426    #  # CHECK HK QL | HKƥǧ
8427    #    (values of other check-items should be same)
8428    #
8429    # QL            Check-Item                  Spec                Check
8430    # -------------+---------------------------+---------------------+------
8431    # MGF-O         MGFO.VALID_WCMDS                7                  N/A
8432    #               MGFO.VALID_CMDS             incrementing           N/A
8433    #               MGFO.VALID_REPLIES          incrementing           N/A
8434    #  
8435    #  
8436    #  <Boot from EEPROM Page 0 (Magnetometer firmware, equal to ROM version)>
8437    #  
8438    #  # BOOT EEPROM PAGE 0
8439    #  
8440    # MDP Macro - first Byte after 0x is Parameter Byte No.0(Command count) 
8441    # MDP Multi CMD consists of the following MGFO CMDs 
8442    # +---------+---------------------+----------+ 
8443    # | CMD No. |       CMD Name      | CMD data | 
8444    # +---------+---------------------+----------+ 
8445    # |    0    | MGFO.MAG_CONFIG_REG |  0x0010  | 
8446    # |    1    | MGFO.BOOT_OP_REG    |  0x0001  | 
8447    # +---------+---------------------+----------+ 
8448    # The 2 commands of MDP macro command must be executed within 2 seconds 
8449    MD1U.MGFO_MULTI_CMD 0x020000101A000100000000000000000000000000
8450    #  
8451    WAIT_SEC 60                   
8452    # 
8453    # # CHECK HK QL | HKƥǧ
8454    #   (values of other check-items should be same)
8455    # 
8456    # QL            Check-Item                  Spec                Check
8457    # -------------+---------------------------+---------------------+------
8458    # MGF-O         MGFO.OPEN_LOOP                  0                  N/A
8459    #               MGFO.BOOT_OP                    1                  N/A
8460    #               MGFO.CS_OK                      1                  N/A
8461    # -------------+---------------------------+---------------------+------
8462    # MGF-O         MGFO.VALID_WCMDS                1                  N/A
8463    #               MGFO.VALID_CMDS             incrementing           N/A
8464    #               MGFO.VALID_REPLIES          incrementing           N/A
8465    # -------------+---------------------------+---------------------+------
8466    # MGF-O         MGFO.SOFTWARE_VER           ϿΤ               N/A
8467    #               MGFO.EEPROM_CHECKSUM        ϿΤ               N/A
8468    #               MGFO.CALC_CHECKSUM          ϿΤ               N/A
8469    #  
8470    #  
8471    #  <Boot from EEPROM Page 1 (Test counter) and produce TMR warnings>
8472    #  
8473    #  # BOOT EEPROM PAGE 1
8474    #  
8475    # MDP Macro - first Byte after 0x is Parameter Byte No.0(Command count) 
8476    # MDP Multi CMD consists of the following MGFO CMDs 
8477    # +---------+---------------------+----------+ 
8478    # | CMD No. |       CMD Name      | CMD data | 
8479    # +---------+---------------------+----------+ 
8480    # |    0    | MGFO.MAG_CONFIG_REG |  0x0010  | 
8481    # |    1    | MGFO.BOOT_OP_REG    |  0x0009  | 
8482    # +---------+---------------------+----------+ 
8483    # The 2 commands of MDP macro command must be executed within 2 seconds 
8484    MD1U.MGFO_MULTI_CMD 0x020000101A000900000000000000000000000000
8485    #
8486    WAIT_SEC 120                   
8487    #  
8488    #  # CHECK HK QL | HKƥǧ
8489    #    (values of other check-items should be same)
8490    #  
8491    # QL            Check-Item                  Spec                Check
8492    # -------------+---------------------------+---------------------+------
8493    # MGF-O         MGFO.EEPROM_PAGE                1                  N/A
8494    #               MGFO.VALID_CMDS             incrementing           N/A
8495    #               MGFO.VALID_REPLIES          incrementing           N/A
8496    # -------------+---------------------------+---------------------+------
8497    #               MGFO.SOFTWARE_VER              0x0206              N/A
8498    #               MGFO.EEPROM_CHECKSUM           0x16D5              N/A
8499    #               MGFO.CALC_CHECKSUM             0x16D5              N/A
8500    #  
8501    #  << PRODUCE PRAM TMR WARNING>>
8502    MGFO.K1X 0x00012E
8503    #  
8504    WAIT_SEC             10                   
8505    #  
8506    MGFO.MAG_CONFIG_REG 0x000109
8507    #  
8508    WAIT_SEC 30                   
8509    #
8510    #  # CHECK HK QL | HKƥǧ
8511    #    (values of other check-items should be same)
8512    #  
8513    # QL            Check-Item                  Spec                Check
8514    # -------------+---------------------------+---------------------+------
8515    # MGF-O         MGFO.PRAM_STAT                  1                  N/A
8516    #               MGFO.VALID_WCMDS                3                  N/A
8517    #               MGFO.VALID_CMDS             incrementing           N/A
8518    #               MGFO.VALID_REPLIES          incrementing           N/A
8519    #  
8520    #  << PRODUCE HKRAM TMR WARNING>>
8521    MGFO.K1X 0x000D13
8522    #  
8523    WAIT_SEC             10                   
8524    #  
8525    MGFO.MAG_CONFIG_REG 0x000089
8526    #  
8527    WAIT_SEC 30                   
8528    #  
8529    #  # CHECK HK QL | HKƥǧ
8530    #    (values of other check-items should be same)
8531    #  
8532    # QL            Check-Item                  Spec                Check
8533    # -------------+---------------------------+---------------------+------
8534    # MGF-O         MGFO.PRAM_STAT                  0                  N/A
8535    #               MGFO.HKRAM_STAT                 1                  N/A
8536    # -------------+---------------------------+---------------------+------
8537    # MGF-O         MGFO.VALID_WCMDS                5                  N/A
8538    #               MGFO.VALID_CMDS             incrementing           N/A
8539    #               MGFO.VALID_REPLIES          incrementing           N/A
8540    #  
8541    #  << PRODUCE MDATRAM TMR WARNING>>
8542    MGFO.K1X 0x000E03
8543    #  
8544    WAIT_SEC             10                   
8545    #  
8546    MGFO.MAG_CONFIG_REG 0x000049
8547    # 
8548    WAIT_SEC 30                   
8549    #  
8550    #  # CHECK HK QL | HKƥǧ
8551    #    (values of other check-items should be same)
8552    #  
8553    # QL            Check-Item                  Spec                Check
8554    # -------------+---------------------------+---------------------+------
8555    # MGF-O         MGFO.HKRAM_STAT                 0                  N/A
8556    #               MGFO.MDATRAM_STAT               1                  N/A
8557    # -------------+---------------------------+---------------------+------
8558    # MGF-O         MGFO.VALID_WCMDS                7                  N/A
8559    #               MGFO.VALID_CMDS             incrementing           N/A
8560    #               MGFO.VALID_REPLIES          incrementing           N/A
8561    #  
8562    #  
8563    #  <Boot from EEPROM Page 2 (Find Phase)>
8564    #  
8565    #  # BOOT EEPROM PAGE 2
8566    #  
8567    # MDP Macro - first Byte after 0x is Parameter Byte No.0(Command count) 
8568    # MDP Multi CMD consists of the following MGFO CMDs 
8569    # +---------+---------------------+----------+ 
8570    # | CMD No. |       CMD Name      | CMD data | 
8571    # +---------+---------------------+----------+ 
8572    # |    0    | MGFO.MAG_CONFIG_REG |  0x0010  | 
8573    # |    1    | MGFO.BOOT_OP_REG    |  0x0011  | 
8574    # +---------+---------------------+----------+ 
8575    # The 2 commands of MDP macro command must be executed within 2 seconds 
8576    MD1U.MGFO_MULTI_CMD 0x020000101A001100000000000000000000000000
8577    #
8578    # 
8579    WAIT_SEC 60                   
8580    #
8581    #  # CHECK HK QL | HKƥǧ
8582    #    (values of other check-items should be same)
8583    #  
8584    # QL            Check-Item                  Spec                Check
8585    # -------------+---------------------------+---------------------+------
8586    # MGF-O         MGFO.MDATRAM_STAT               0                  N/A
8587    #               MGFO.EEPROM_PAGE                2                  N/A
8588    # -------------+---------------------------+---------------------+------
8589    # MGF-O         MGFO.VALID_WCMDS                1                  N/A
8590    #               MGFO.VALID_CMDS             incrementing           N/A
8591    #               MGFO.VALID_REPLIES          incrementing           N/A
8592    # -------------+---------------------------+---------------------+------
8593    # MGF-O         MGFO.SOFTWARE_VER              0x0307              N/A
8594    #               MGFO.EEPROM_CHECKSUM           0x4C7F              N/A
8595    #               MGFO.CALC_CHECKSUM             0x4C7F              N/A
8596    #  
8597    #  
8598    #  <Boot from EEPROM Page 3 (Meander)>
8599    #  
8600    #  # BOOT EEPROM PAGE 3
8601    #  
8602    # MDP Macro - first Byte after 0x is Parameter Byte No.0(Command count) 
8603    # MDP Multi CMD consists of the following MGFO CMDs 
8604    # +---------+---------------------+----------+ 
8605    # | CMD No. |       CMD Name      | CMD data | 
8606    # +---------+---------------------+----------+ 
8607    # |    0    | MGFO.MAG_CONFIG_REG |  0x0010  | 
8608    # |    1    | MGFO.BOOT_OP_REG    |  0x0019  | 
8609    # +---------+---------------------+----------+ 
8610    # The 2 commands of MDP macro command must be executed within 2 seconds 
8611    MD1U.MGFO_MULTI_CMD 0x020000101A001900000000000000000000000000
8612    WAIT_SEC 5               #20191025 CHANGE                   
8613    #
8614    MGFO.DACCX 0x008F39      #20190515 CHC CHANGE
8615    WAIT_SEC 2                   
8616    MGFO.DACCY 0x0079D0      #20190515 CHC CHANGE
8617    WAIT_SEC 2                   
8618    MGFO.DACCZ 0x007803      #20190515 CHC CHANGE
8619    #
8620    WAIT_SEC 180           #20190515 CHC CHANGE                   
8621    #
8622    #  # CHECK HK QL | HKƥǧ
8623    #    (values of other check-items should be same)
8624    #  
8625    # QL            Check-Item                  Spec                Check
8626    # -------------+---------------------------+---------------------+------
8627    # MGF-O         MGFO.EEPROM_PAGE                3                  N/A
8628    # -------------+---------------------------+---------------------+------
8629    # MGF-O         MGFO.VALID_CMDS             incrementing           N/A
8630    #               MGFO.VALID_REPLIES          incrementing           N/A
8631    # -------------+---------------------------+---------------------+------
8632    # MGF-O         MGFO.SOFTWARE_VER             0x0407               N/A
8633    #               MGFO.EEPROM_CHECKSUM          0x571D               N/A
8634    #               MGFO.CALC_CHECKSUM            0x571D               N/A
8635    #
8636    #                                                           #delete 20180906
8637    #
8638    # **************************************************************************
8639    #  6.2 Shutdown procedure
8640    # **************************************************************************
8641    # ==========================================================================
8642    #  6.2.1 MGF Power OFF
8643    # ==========================================================================
8644    #
8645    DH.MGF_OFF              # DH.MC_EACH_EXE 0x00AC
8646    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
8647    #:              0x00 MD1F.MGFO_CLCT_STOP
8648    #:              0x01 MD2F.MGFI_CLCT_STOP
8649    #:              0x0C MD1F.PME_MGFO_OFF
8650    #:              0x0D PCD.ON_OFF_ENA
8651    #:              0x0E PCD.PSU_MGF_I_OFF
8652    #:              0x0F PCD.ON_OFF_DIS
8653    #
8654    WAIT_SEC 30                   
8655    # 
8656    # < CHECK >
8657    CHECK MD1F.MS0_DAT_CLCT                     =OFF                   
8658    CHECK MD2F.MS5_DAT_CLCT                     =OFF                   
8659    CHECK MD1F.PME_MGFO_STS                     =OFF                   
8660    CHECK PCD.PSU_MGF_I_ON_OFF                  =OFF                   
8661    CHECK MD1F.MS0_LINK_STAT                    =OFF                   
8662    CHECK MD2F.MS5_LINK_STAT                    =OFF                   
8663    #
8664    # QL            Check-Item                  Spec                      Check
8665    # -------------+---------------------------+-------------------------+------
8666    # CMD   Message                     STATUS CHECK  OK       G  N
8667    #
8668    # # Mission Data1553B̿ȾʬӰ (4kbps)ǽϤ⡼ɤȤ
8669    DH.MC_EACH_EXE 0x0036  # 1553B TLM mode 10 (SYS HK 1/16, BUS User HK 1/8, DUMP 1/16, 
8670    #                      # MDP User HK 1/8, Mission User HK 1/8, Mission Data 1/2)
8671    #:              << MACRO >> ƤˤĤưʲ˼(DH.DUMMYϾά)
8672    #:              0x00 DH.DMP_PERIOD 0x04
8673    #:              0x01 DH.DR_PTLOGCYC_SET 0x00
8674    #:              0x02 ACS.ACS_PKT_FMT_1
8675    #:              0x05 DH.OPE_MODE 0x0C 0x3E 0x2C 0x04 0x00000000000000000000000000
8676    #:              0x06 DH.TLMFMT1553B_CHG 0x0A
8677    #
8678    WAIT_SEC 40                   
8679    #
8680    CHECK DH.DMP_PERIOD                         =SEC_16                   
8681    CHECK DH.CATEGORY_TBL_NO                    0x2C                   
8682    CHECK DH.DWNLNK_RATE                        =BPS16384                   
8683    CHECK DH.TLM1553BFMTNO                      0x0A                   
8684    CHECK ACS.F_ACS_PKT_FMT                     =ACSHK1                   
8685    EXIT                   
