#!HEAD: dcsm-CRCO_MSA_CHECK_C 2022-02-28 07:09:30 204        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 12.MSA
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # **************************************************************************
8007    #   12. MSA CHECK
8008    # **************************************************************************
8009    # --------------------------------------------------------------------------
8010    #  12.1. MSA Power On
8011    # --------------------------------------------------------------------------
8012    #
8013    PCD.ON_OFF_ENA
8014    WAIT_SEC 40                   
8015    #
8016    # < CHECK >
8017    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8018    #
8019    PCD.PSU_MSA_ON
8020    WAIT_SEC 40                   
8021    #
8022    # < CHECK >
8023    #CHECK PCD.PSU_MSA_ON_OFF                    =ON                   
8024    #CHECK MD1F.MS5_LINK_STAT                    =ON                   
8025    #CHECK MD1F.MS5_DAT_CLCT                     =ON                   
8026    #
8027    # 
8028    PCD.ON_OFF_DIS
8029    WAIT_SEC 40                   
8030    #
8031    # < CHECK >
8032    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS
8033    #
8034    MD1F.MSA_CLCT_START
8035    WAIT_SEC 40                   
8036    #
8037    # < CHECK >
8038    #CHECK MD1F.MS5_DAT_CLCT                     =ON                   
8039    #                   
8040    MD1F.DPU_SW_ERR_CLR  
8041    WAIT_SEC 2                   
8042    MD2F.DPU_SW_ERR_CLR
8043    WAIT_SEC 40                   
8044    #
8045    WAIT_SEC 120                   
8046    #
8047    # ==========================================================================
8048    #  12.2. MSA function check
8049    # ==========================================================================
8050    # MSA status check
8051    #
8052    # < CHECK >
8053    #CHECK MSA.CPU_SW                               0x4E                
8054    #CHECK MSA.CPU_FPGA                             0x32                
8055    #CHECK MSA.HV_DAC_VHV3                          0                   
8056    #CHECK MSA.HV_DAC_HV1                           0                   
8057    #CHECK MSA.HV_DAC_HV2                           0                   
8058    #CHECK MSA.HV_DAC_VHV1                          0                   
8059    #CHECK MSA.HV_DAC_VHV2                          0                   
8060    #CHECK MSA.HV_DAC_VHV4                          0                   
8061    #CHECK MSA.HV_DAC_AMP1                          0                   
8062    #CHECK MSA.HV_DAC_AMP2                          0                   
8063    #CHECK MSA.HV_DAC_AMP3                          0                   
8064    #CHECK MSA.ADC_HV_VHV1                          0 16                   
8065    #CHECK MSA.ADC_HV_VHV3                          0 16                   
8066    #CHECK MSA.ADC_HV_VHV4                          0                   
8067    #CHECK MSA.ADC_HV_HV1                           0 16                   
8068    #CHECK MSA.ADC_HV_HV2                           0 1                   
8069    #CHECK MSA.ADC_CFD_LEFA                         0xfff                   
8070    #CHECK MSA.ADC_CFD_LEFB                         0xfff                   
8071    #CHECK MSA.ADC_CFD_LEFS                         0xfff                   
8072    #CHECK MSA.ADC_CFD_STC                          0xfff                   
8073    #CHECK MSA.ADC_CFD_STE                          0xfff                   
8074    #CHECK MSA.CPU_AMP_ENA_1                        =DIS                   
8075    #CHECK MSA.HV_ERR                               =ERR                   
8076    #CHECK MSA.HV_ON_OPTICS                         =OFF                   
8077    #CHECK MSA.HV_ON_BOARD                          =OFF                   
8078    #CHECK MSA.HV_SAFE                              =ON                   
8079    #CHECK MSA.CPU_ENA_OPTICS                       =DIS                   
8080    #CHECK MSA.CPU_ENA_BOARD                        =DIS                   
8081    #CHECK MSA.CPU_SAFE_ENA                         =DIS                   
8082    #
8083    # QL            Check-Item                  Spec         Data         Check
8084    # -------------+---------------------------+------------+------------+------
8085    # MPPE-MSA1     HV_REF_HV1                  0x000 ( 0x040) _____________ G  N
8086    #               HV_REF_HV2                  0x000 ( 0x049) _____________ G  N
8087    #               HV_REF_VHV1                 0x000 ( 0x117) _____________ G  N
8088    #               HV_REF_VHV2                 0x000 ( 0x17C) _____________ G  N
8089    #               HV_REF_VHV3                 0x000 ( 0x115) _____________ G  N
8090    #               HV_REF_VHV4                 0x000 ( 0x03E) _____________ G  N
8091    #               HV_REF_OL                   0x000 ( 0x020) _____________ G  N
8092    #               ADC_HV_VHV2                 0x000 ( 0x008) _____________ G  N
8093    #               ADC_HV_OL                   0x000 ( 0x003) _____________ G  N
8094    #               ADC_HV_AMP1                 0x000 ( 0x08C) _____________ G  N
8095    #               ADC_HV_AMP2                 0x000 ( 0x08A) _____________ G  N
8096    #               ADC_HV_AMP3                 0x000 ( 0x028) _____________ G  N
8097    #               ADC_HV_TMP                  0xC00 ( 0xC55) _____________ G  N
8098    #               ADC_AMP_TEMP                15.0  ( 0xCC8) _____________ G  N
8099    #               ADC_CPU_+5                  4.5   ( 0xCA2) _____________ G  N
8100    #               ADC_CPU_+3.3                2.9   ( 0xA3D) _____________ G  N
8101    #               ADC_CPU_+1.8                1.6   ( 0x5BF) _____________ G  N
8102    #               ADC_CPU_+2.5                2.2   ( 0x821) _____________ G  N
8103    #               ADC_CPU_+12                 11.5  ( 0xC46) _____________ G  N
8104    #               ADC_CPU_-12                 -12.7 ( 0xC3C) _____________ G  N
8105    #               ADC_CPU_TEMP                15    ( 0xCC7) _____________ G  N
8106    #
8107    # 
8108    # < MSA AMPSW CAL command Check >
8109    #
8110    # Discriminator Level Setting
8111    #
8112    MSA.HK_RATE 0x01000040  # command : 007001000040
8113    WAIT_SEC 40                   
8114    #
8115    # Ch1
8116    MSA.CFD_DAC 0x30300B00      # command : 0D0130300B00
8117    WAIT_SEC 40                   
8118    #
8119    # QL            Check-Item                  Spec         Data         Check
8120    # -------------+---------------------------+------------+------------+------
8121    # MPPE-MSA1     ADC_CFD_LEFA                0xB00-0xC00 ____________  G  N
8122    #
8123    # Ch2
8124    MSA.CFD_DAC 0x28280B00      # command : 0D0128280B00
8125    WAIT_SEC 40                   
8126    #
8127    # QL            Check-Item                  Spec         Data         Check
8128    # -------------+---------------------------+------------+------------+------
8129    # MPPE-MSA1     ADC_CFD_LEFB                0xB00-0xC00 ____________  G  N
8130    #
8131    # Ch3
8132    MSA.CFD_DAC 0x24240B00      # command : 0D0124240B00
8133    WAIT_SEC 40                   
8134    #
8135    # QL            Check-Item                  Spec         Data         Check
8136    # -------------+---------------------------+------------+------------+------
8137    # MPPE-MSA1     ADC_CFD_LEFS                0xB00-0xC00 ____________  G  N
8138    #
8139    # Ch4
8140    MSA.CFD_DAC 0x22220B00      # command : 0D0122220B00
8141    WAIT_SEC 40                   
8142    #
8143    # QL            Check-Item                  Spec         Data         Check
8144    # -------------+---------------------------+------------+------------+------
8145    # MPPE-MSA1     ADC_CFD_STC                 0xB00-0xC00 ____________  G  N
8146    #
8147    # Ch5
8148    MSA.CFD_DAC 0x21210B00      # command : 0D0121210B00
8149    WAIT_SEC 40                   
8150    #
8151    # QL            Check-Item                  Spec         Data         Check
8152    # -------------+---------------------------+------------+------------+------
8153    # MPPE-MSA1     ADC_CFD_STE                 0xB00-0xC00 ____________  G  N
8154    #
8155    # Measurement_Enable
8156    MSA.CPU_AMP_ENA 0x01000100  # command : 000901000100
8157    WAIT_SEC 40                   
8158    #
8159    # AMPSW CAL ON
8160    MSA.CAL_SET 0x8050125310    # command : fa8050125310
8161    WAIT_SEC 40                   
8162    #
8163    #
8164    #
8165    #
8166    ###################################################################
8167    #  Wait for at least 300s to record Mission Data                  #
8168    ###################################################################
8169    #
8170    WAIT_SEC 300                   
8171    #
8172    #
8173    # --------------------------------------------------------------------------
8174    #  12.3. MSA Power Off
8175    # -------------------------------------------------------------------------- 
8176    #
8177    MD1F.MSA_CLCT_STOP
8178    WAIT_SEC 40                   
8179    #
8180    # < CHECK >
8181    #CHECK MD1F.MS5_DAT_CLCT                     =OFF                   
8182    #                   
8183    #
8184    PCD.ON_OFF_ENA
8185    WAIT_SEC 40                   
8186    #
8187    # < CHECK >
8188    #CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8189    #
8190    PCD.PSU_MSA_OFF
8191    WAIT_SEC 40                   
8192    #
8193    # < CHECK >
8194    #CHECK PCD.PSU_MSA_ON_OFF                    =OFF                   
8195    #CHECK MD1F.MS5_LINK_STAT                    =OFF                   
8196    #
8197    PCD.ON_OFF_DIS
8198    WAIT_SEC 40                   
8199    #
8200    # < CHECK >
8201    #CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8202    #
8203    #
8204    EXIT                   
