#!HEAD: main2-CRCO_PART10_XOR_002_M80 2023-10-04 01:27:00 155        45 MMO                  MAIN2               // Earth Fly-by                
0001  . # LET                  @ONERR=NEXT                   
0002  . # ==========================================================================
0003    #  <startTime>2023-11-06T04:10:00Z</startTime>
0004    #  <stopTime>2023-11-07T06:30:03Z</stopTime>
0005    #  << XDOR:XDOR_BJXR_C22_NECP_M801501_00003.BC >> Ϣ³*****
0006    #  << XOR:XOR__BJXR_C22_NECP_M801501_00003.BC >> *****
0007    # ==========================================================================
0008    # ==========================================================================
0009  . #  EXEC_AT 2023-11-06 04:10:00
0010    # 
0011    # ==========================================================================
0012    # 0. MMO MOSIF Heater &  Switch to Standby Mode
0013    # ==========================================================================
0014    #
0015    # Change MOSIF Heater Setting   (14sec)
0016    # <forMPO>AJXF017A</forMPO>     
0017    WAIT_SEC             20                   
0018    # Change MOSIF R Heater Setting   
0019    # <forMPO>AJXF017C</forMPO>     
0020    WAIT_SEC             42580                   
0021    #
0022    # MMO Switch to Standby Mode (main) (300sec)
0023    # <forMPO>AJXF001A</forMPO> 
0024    WAIT_SEC             360                   
0025    #
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO> 
0028    WAIT_SEC              240                   
0029    #
0030    # ==========================================================================
0031    # 01. BUS ON 
0032    # ==========================================================================
0033    #
0034    CALL dcsm-CRCO_BUS_MONI_ON_ROMUPL_DIS -Run                   
0035    #
0036    CALL dcsm-CRCO_SI_READY -Run                   
0037    #
0038    CALL dcsm-CRCO_CEL_MONI_OFF -Run                   
0039    #
0040    # ==========================================================================
0041    # 02. MDP ON
0042    # ==========================================================================
0043    #
0044    CALL dcsm-CRCO_MDP_ON -Run                   
0045    #
0046    CALL dcsm-CRCO_PME_ON -Run                   
0047    #
0048    CALL dcsm-CRCO_PWI_CHECK -Run                   
0049    #
0050    CALL dcsm-CRCO_MGF_CHECK -Run                   
0051    #
0052    CALL dcsm-CRCO_MASTWPT_CHECK -Run                   
0053    #
0054    CALL dcsm-CRCO_PME_OFF -Run                   
0055    #
0056    CALL dcsm-CRCO_MDM_CHECK -Run                   
0057    #
0058    CALL dcsm-CRCO_ENA_CHECK -Run                   
0059    #
0060    CALL dcsm-CRCO_MEA_CHECK -Run                   
0061    #
0062    CALL dcsm-CRCO_MSA_CHECK_C -Run                   
0063    #
0064    CALL dcsm-CRCO_MIA_CHECK_C_D -Run                   
0065    #
0066    CALL dcsm-CRCO_HEPE_CHECK -Run                   
0067    #
0068    CALL dcsm-CRCO_HEPI_CHECK -Run                   
0069    #
0070    CALL dcsm-CRCO_MSASI_CHECK -Run                   
0071    #
0072    CALL dcsm-EF_PME_ON -Run                   
0073    #
0074    CALL dcsm-EF_PWI_ON_SC_noise_chk -Run                   
0075    #
0076    # ==========================================================================
0077    # 03. TLM MODE 5  (Mission: 7kbps, without user HK)
0078    # ==========================================================================
0079    #
0080    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0081    #
0082    # ==========================================================================
0083    #     WAIT 
0084    # ==========================================================================
0085    #
0086    WAIT_SEC  14400                   
0087    #
0088    # ==========================================================================
0089    # 04. TLM MODE 10 (Mission: 4kbps, with user HK)
0090    # ==========================================================================
0091    #
0092    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0093    #
0094    CALL dcsm-EF_PWI_OFF -Run                   
0095    #
0096    CALL dcsm-EF_PME_OFF -Run                   
0097    #
0098    # ==========================================================================
0099    # 05. MDP OFF
0100    # ==========================================================================
0101    #
0102    CALL dcsm-CRCO_MDP_OFF -Run                   
0103    #
0104    # ==========================================================================
0105    # 06. XTRP CHECK
0106    # ==========================================================================
0107    #
0108    CALL dcsm-2300-00_XTRPA_CHECK_CRUISE -Run                   
0109    #
0110    CALL dcsm-2300-01_XTBPB_CHECK_CRUISE -Run                   
0111    #
0112    # ==========================================================================
0113    # 07. XSW CHECK
0114    # ==========================================================================
0115    #
0116    CALL dcsm-2301-00_XSW_CHECK_CRUISE -Run                   
0117    #
0118    # ==========================================================================
0119    # 08. DR CHECK
0120    # ==========================================================================
0121    #
0122    CALL dcsm-3210-00_DR_CHECK_CRUISE -Run                   
0123    #
0124    # ==========================================================================
0125    # 09. ACS CHECK
0126    # ==========================================================================
0127    #
0128    CALL dcsm-4999-00_CHECKOUT1 -Run                   
0129    #           
0130    # ==========================================================================
0131    # 10. BUS MONI OFF
0132    # ==========================================================================
0133    #
0134    CALL dcsm-BUS_MMO_OFF_ROMUPL_ENA -Run                   
0135    #
0136    # ==========================================================================
0137    # 99. MMO Dormant Mode
0138    # ==========================================================================
0139    WAIT_SEC             240                   
0140    #
0141    # MMO Set HK rate to 1 second   (3sec)
0142    # <forMPO>AJXF004A</forMPO>
0143    WAIT_SEC             120                   
0144    #
0145    # MMO Switch to Dormant Mode  (70sec)
0146    # <forMPO>AJXF002A</forMPO>
0147    WAIT_SEC             300                   
0148    #
0149    # Return MOSIF heater setting   (14sec)
0150    # <forMPO>AJXF017B</forMPO>                   
0151    WAIT_SEC             20                   
0152    # Return MOSIF R heater setting   (14sec)
0153    # <forMPO>AJXF017D</forMPO>                   
0154    #############################################################################
0155    # ==========================================================================
